Bug 1124438 - camel:java/xml element is not written to the switchyard.xml if a Camel implementation is inserted in a component
Summary: camel:java/xml element is not written to the switchyard.xml if a Camel implem...
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor
Version: 6.0.0 GA
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Rob Cernich
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 13:37 UTC by Tomas Rohovsky
Modified: 2016-01-04 07:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-2235 Major Closed camel:java/xml element is not written to the switchyard.xml if a Camel implementation is inserted in a component 2015-07-30 17:36:43 UTC

Description Tomas Rohovsky 2014-07-29 13:37:13 UTC
Let's have a component declared in switchyard.xml, no matter if it has no or some implementation. If you grab a Camel Java/XML component from Palette and drop it to the component and fill and submit the dialog then following code is written to the component:

<camel:implementation.camel/>

instead of

<camel:implementation.camel>
    <camel:java class="com.example.CamelServiceRoute"/>
</camel:implementation.camel>

It is possible to complete the declaration of implementation by Properties dialog, not by Properties view.

Comment 1 JBoss JIRA Server 2014-07-29 14:16:31 UTC
Brian Fitzpatrick <bfitzpat@redhat.com> updated the status of jira SWITCHYARD-2235 to Resolved

Comment 2 JBoss JIRA Server 2014-10-31 15:26:35 UTC
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira SWITCHYARD-2235 to Closed


Note You need to log in before you can comment on or make changes to this bug.